html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.5rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26c485;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.0rem;
    position: fixed;
    right: 0;
    text-align: center;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss-button {
    cursor: pointer;
    cursor: hand;
}

.blazor-error-boundary {
    background-color: rgba(255, 0, 0, 0.1);
    border: 1px solid rgba(255, 0, 0, 0.2);
    border-radius: 5px;
    padding: 1rem;
    margin: 1rem 0;
}

.blazor-error-boundary::after {
    content: "An error has occurred.";
}

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

.loading-progress circle {
    fill: none;
    stroke: #e0e0e0;
    stroke-width: 1rem;
    transform-origin: 50% 50%;
    transform: rotate(-90deg);
}

    .loading-progress circle:last-child {
        stroke: #1b6ec2;
        stroke-dasharray: circumference;
        animation: progress-animation 2s steps(12, end) infinite;
    }

.loading-progress-text {
    position: absolute;
    text-align: center;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
}

    .loading-progress-text:after {
        content: " Loading";
    }

@keyframes progress-animation {
    0% {
        stroke-dashoffset: circumference;
    }

    50% {
        stroke-dashoffset: circumference(0.5);
    }

    100% {
        stroke-dashoffset: 0;
    }
}
